JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const context = await client.context.delete('agent_abc123', { key: 'notes/project.md' });
console.log(context.success);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
context = client.context.delete(
agent_id="agent_abc123",
key="notes/project.md",
)
print(context.success)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
context, err := client.Context.Delete(
context.TODO(),
"agent_abc123",
cercago.ContextDeleteParams{
Key: cercago.F("notes/project.md"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", context.Success)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
context = cerca.context.delete("agent_abc123", key: "notes/project.md")
puts(context)cerca context delete \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--key notes/project.mdcurl --request DELETE \
--url https://api.cerca.dev/agents/{agentId}/context/entry \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/agents/{agentId}/context/entry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://api.cerca.dev/agents/{agentId}/context/entry")
.header("Authorization", "Bearer <token>")
.asString();{
"success": true
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Context
Delete context entry
DELETE
/
agents
/
{agentId}
/
context
/
entry
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const context = await client.context.delete('agent_abc123', { key: 'notes/project.md' });
console.log(context.success);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
context = client.context.delete(
agent_id="agent_abc123",
key="notes/project.md",
)
print(context.success)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
context, err := client.Context.Delete(
context.TODO(),
"agent_abc123",
cercago.ContextDeleteParams{
Key: cercago.F("notes/project.md"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", context.Success)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
context = cerca.context.delete("agent_abc123", key: "notes/project.md")
puts(context)cerca context delete \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--key notes/project.mdAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"agent_abc123"
Query Parameters
Context entry key.
Example:
"notes/project.md"
Response
Context entry deleted.
Available options:
true ⌘I